Page MenuHomePhabricator

$revid should be removed from DataAccess::fetchPageContent
Closed, ResolvedPublic

Description

No code in parsoid passes $revid != 0 to DataAccess::fetchPageContent, because by-id template expansion, etc, isn't a feature of wikitext semantics. We do by-id fetches to create the initial PageContent, but that doesn't use DataAccess::fetchPageContent (even in the API case, where you could argue we could be reusing code).

Removing this unused parameter would also allow us to simplify the constructor for DataAccess, removing the RevisionStore.

Event Timeline

cscott created this task.Aug 7 2020, 6:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 7 2020, 6:16 PM

Change 619029 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/services/parsoid@master] Remove $revid parameter from DataAccess::fetchPageContent

https://gerrit.wikimedia.org/r/619029

ssastry triaged this task as Medium priority.Aug 10 2020, 6:22 PM
ssastry moved this task from Needs Triage to Current & Upcoming Work on the Parsoid board.
ssastry added a project: Parsing-Active-Work.

Change 619029 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Remove $revid parameter from DataAccess::fetchPageContent

https://gerrit.wikimedia.org/r/619029

Change 622176 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176

Change 622176 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to v0.13.0-a7

https://gerrit.wikimedia.org/r/622176

ssastry closed this task as Resolved.Sep 24 2020, 6:33 PM
ssastry assigned this task to cscott.